From 92a68f350479cb4319c13e6784fb60e9d9b6d355 Mon Sep 17 00:00:00 2001
From: Merov Linden <merov@lindenlab.com>
Date: Wed, 16 Mar 2011 22:45:50 -0700
Subject: [PATCH] Autobuild: go back to ignoring errors on autobuild
 source_environment invocation for the moment

---
 build.sh | 21 ++++++++++++---------
 1 file changed, 12 insertions(+), 9 deletions(-)

diff --git a/build.sh b/build.sh
index f0c5dc91fc9..e302d95e765 100755
--- a/build.sh
+++ b/build.sh
@@ -142,16 +142,19 @@ then
 fi
 
 # load autbuild provided shell functions and variables
-if "$AUTOBUILD" source_environment > source_environment
-then
-  . source_environment
-else
+# Merov: going back to the previous code that passes even if it fails catching a failure
+# TODO: use the correct code here under and fix the llbase import in python code
+#if "$AUTOBUILD" source_environment > source_environment
+#then
+#  . source_environment
+#else
   # dump environment variables for debugging
-  env|sort
-  record_failure "autobuild source_environment failed"
-  cat source_environment >&3
-  exit 1
-fi
+#  env|sort
+#  record_failure "autobuild source_environment failed"
+#  cat source_environment >&3
+#  exit 1
+#fi
+eval "$("$AUTOBUILD" source_environment)"
 
 # dump environment variables for debugging
 env|sort
-- 
GitLab